> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List registered webhooks for a tenant

> Registered webhooks for this tenant

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

### Response

`object`

<ResponseField name="tenantId" type="string" required />

<ResponseField name="webhooks" type="object[]" required>
  <Expandable title="webhooks">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="tenantId" type="string" required />

    <ResponseField name="source" type="string" required />

    <ResponseField name="topic" type="string" required />

    <ResponseField name="url" type="string" />

    <ResponseField name="isActive" type="boolean" required />

    <ResponseField name="createdAt" type="string (date-time)" required />

    <ResponseField name="updatedAt" type="string (date-time)" required />
  </Expandable>
</ResponseField>

### Status codes

| Code  | Meaning                             |
| ----- | ----------------------------------- |
| `200` | Registered webhooks for this tenant |
| `401` | Unauthorized                        |
| `404` | Tenant not found                    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "tenantId": "acme-outdoors",
    "webhooks": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "tenantId": "acme-outdoors",
        "source": "string",
        "topic": "string",
        "url": "https://example.com/webhooks/stateset",
        "isActive": true,
        "createdAt": "2026-08-31T14:22:05Z",
        "updatedAt": "2026-08-31T14:22:05Z"
      }
    ]
  }
  ```
</ResponseExample>
